@import '../mixin/typography';
@import '../variables/typography';
@import 'smoothing';

* {
  text-rendering: optimizeLegibility;
  -webkit-tap-highlight-color: transparent;
  box-sizing: border-box;

  &::before,
  &::after {
    box-sizing: border-box;
  }
}

html {
  @include font(#{$font-size--root}/ normal $font--preferred, null, null, null, rem(-0.01));
}

body {
  font-size: $font-size;
}

html,
body {
  @extend %antialiased;
}

p {
  margin: 0;
}

a {
  text-decoration: none;

  &:hover,
  &:active {
    text-decoration: underline;
  }
}

*:focus {
  outline: none;
}
